import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { OdsButton, OdsTooltip } from '@ovhcloud/ods-components/react';
import { useTranslation } from 'react-i18next';
import './translations';
import { useAuthorizationIam } from '../../hooks/iam';
export const ManagerButton = ({ id, children, label, iamActions, urn, displayTooltip = true, isIamTrigger = true, ...restProps }) => {
    const { t } = useTranslation('iam');
    const { isAuthorized } = useAuthorizationIam(iamActions, urn, isIamTrigger);
    if (isAuthorized) {
        return (_jsx(OdsButton, { "data-testid": "manager-button", ...restProps, label: label }));
    }
    return displayTooltip ? (_jsxs(_Fragment, { children: [_jsx("div", { id: id, className: "w-fit", children: _jsx(OdsButton, { "data-testid": "manager-button-tooltip", ...restProps, isDisabled: true, label: label, onClick: null }) }), _jsx(OdsTooltip, { triggerId: id, "with-arrow": true, children: _jsx("div", { children: t('common_iam_actions_message') }) })] })) : (_jsx(OdsButton, { "data-testid": "manager-button-without-tooltip", ...restProps, isDisabled: true, onClick: null, label: label }));
};
