import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { OdsText, OdsTooltip } from '@ovhcloud/ods-components/react';
import { useTranslation } from 'react-i18next';
import './translations';
import { useAuthorizationIam } from '../../hooks/iam';
export const ManagerText = ({ children, iamActions, urn, ...restProps }) => {
    const { t } = useTranslation('iam');
    const { isAuthorized } = useAuthorizationIam(iamActions, urn);
    if (!isAuthorized) {
        return (_jsxs(_Fragment, { children: [_jsx("div", { id: "tooltip-iam", className: "w-fit", children: _jsx(OdsText, { preset: "span", ...restProps, children: t('iam_hidden_text').toUpperCase() }) }), _jsx(OdsTooltip, { triggerId: "tooltip-iam", "with-arrow": true, children: _jsx("div", { children: t('common_iam_get_message') }) })] }));
    }
    return _jsx(OdsText, { ...restProps, children: children });
};
