import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Suspense } from 'react';
import { OdsButton, OdsIcon, OdsSpinner } from '@ovhcloud/ods-components/react';
import { v4 as uuidV4 } from 'uuid';
import { ODS_BUTTON_SIZE, ODS_BUTTON_VARIANT, ODS_ICON_NAME, ODS_SPINNER_SIZE, } from '@ovhcloud/ods-components';
import { clsx } from 'clsx';
export const StepComponent = ({ id = uuidV4(), title = '', subtitle = '', isOpen, isChecked, isLocked, order, children, next, edit, skip, }) => {
    return (_jsxs("section", { className: "flex flex-row border-0 border-t-[1px] border-solid border-t-[--ods-color-neutral-100] pt-5 mb-5", children: [_jsx("div", { className: "basis-[40px]", children: isChecked ? (_jsx(OdsIcon, { name: ODS_ICON_NAME.check, className: "block p-[12px] text-[20px] text-[--ods-color-primary-500]" })) : (_jsx("div", { className: clsx('flex justify-center items-center font-bold border-2 border-solid rounded-full h-10 w-10', isOpen
                        ? 'border-[--ods-color-primary-500]'
                        : 'border-[--ods-color-neutral-500]'), children: _jsx("span", { className: clsx('font-semibold text-[16px] leading-[20px]', isOpen
                            ? 'text-[--ods-color-text]'
                            : 'text-[--ods-color-neutral-500]'), children: order }) })) }), _jsxs("div", { className: "basis-full px-5", children: [_jsxs("div", { className: "flex flex-col md:flex-row", children: [_jsxs("div", { className: clsx('font-normal leading-[43px] p-0 m-0 w-full md:w-5/6', isOpen
                                    ? 'text-[26px] text-[--ods-color-text]'
                                    : 'text-[20px] text-[--ods-color-neutral-500]'), children: [title, skip?.hint && _jsx("div", { className: "ml-2", children: skip.hint })] }), edit?.action && isLocked && (_jsx("div", { className: "text-2xl w-full md:w-1/6", "data-testid": "edit", children: _jsx(OdsButton, { label: edit.label, "data-testid": "edit-cta", className: "float-left md:float-right", isDisabled: edit.isDisabled || undefined, onClick: () => {
                                        if (!edit.isDisabled) {
                                            edit.action(id);
                                        }
                                    } }) }))] }), isOpen && (_jsxs(_Fragment, { children: [subtitle && _jsx("div", { children: subtitle }), _jsx("div", { "data-testid": "content", className: clsx('mt-5', isLocked && 'cursor-not-allowed pointer-events-none opacity-50'), children: _jsx(Suspense, { fallback: _jsx(OdsSpinner, { size: ODS_SPINNER_SIZE.md }), children: children }) }), !isLocked && (_jsxs("div", { className: "flex mt-6", children: [next?.action && !isLocked && (_jsx("div", { className: "mt-6", "data-testid": "next", children: _jsx(OdsButton, { "data-testid": "next-cta", label: next.label, size: ODS_BUTTON_SIZE.md, onClick: () => {
                                                next.action(id);
                                            }, className: "w-fit", isDisabled: next.isDisabled || undefined }) })), skip?.action && (_jsx("div", { children: _jsx(OdsButton, { label: skip.label, variant: ODS_BUTTON_VARIANT.ghost, size: ODS_BUTTON_SIZE.md, onClick: () => {
                                                skip.action(id);
                                            }, className: "w-fit", isDisabled: skip.isDisabled || undefined }) }))] }))] }))] })] }));
};
export default StepComponent;
