import { jsx as _jsx } from "react/jsx-runtime";
import Headers from './headers.component';
import ActionMenu from '../../navigation/menus/action/action.component';
import GuideButton from '../../navigation/menus/guide/guide.component';
const Heading = {
    title: 'Example for header',
    description: 'description for header',
};
const SubHeading = {
    subtitle: 'Example for subHeader',
    description: 'description for subheader',
};
const actionItems = [
    {
        id: 1,
        href: 'https://www.ovh.com',
        target: '_blank',
        label: 'Action 1',
    },
    {
        id: 2,
        href: 'https://help.ovhcloud.com/csm/fr-documentation?id=kb_home',
        target: '_blank',
        label: 'Action 2',
    },
];
const guideItems = [
    {
        id: 1,
        href: 'https://www.ovh.com',
        target: '_blank',
        label: 'ovh.com',
    },
    {
        id: 2,
        href: 'https://help.ovhcloud.com/csm/fr-documentation?id=kb_home',
        target: '_blank',
        label: 'Guides OVH',
    },
];
const HeadingWithActionButton = {
    title: 'Example for header with actions ',
    description: 'description for header',
    headerButton: _jsx(ActionMenu, { id: "1", items: actionItems }),
};
const HeadingWithGuideButton = {
    title: 'Example for header with guides',
    description: 'description for subheader',
    headerButton: _jsx(GuideButton, { items: guideItems }),
};
export const header = () => _jsx(Headers, { ...Heading });
export const subHeader = () => _jsx(Headers, { ...SubHeading });
export const headerWithGuides = () => _jsx(Headers, { ...HeadingWithGuideButton });
export const headerWithActions = () => _jsx(Headers, { ...HeadingWithActionButton });
const meta = {
    title: 'Content/Headers',
    component: Headers,
    argTypes: {},
    args: Heading,
};
export default meta;
