import { IntervalUnitType, OVH_CURRENCY_BY_SUBSIDIARY, } from '../../../enumTypes';
export const getPrice = (value, tax) => {
    const valueWithTax = tax ? value + tax : value;
    return valueWithTax / 100000000;
};
export const convertIntervalPrice = (price, intervalUnit) => {
    const conversionRates = {
        [IntervalUnitType.day]: price / 365,
        [IntervalUnitType.month]: price / 12,
        [IntervalUnitType.year]: price,
        [IntervalUnitType.none]: price,
    };
    return conversionRates[intervalUnit] || price;
};
export const getPriceTextFormatted = (ovhSubsidiary, locale, priceValue) => {
    try {
        return new Intl.NumberFormat(locale.replace('_', '-'), {
            style: 'currency',
            currency: OVH_CURRENCY_BY_SUBSIDIARY[ovhSubsidiary],
            minimumFractionDigits: 2,
            maximumFractionDigits: 2,
        }).format(priceValue);
    }
    catch (e) {
        return new Intl.NumberFormat('fr-FR', {
            style: 'currency',
            currency: OVH_CURRENCY_BY_SUBSIDIARY[ovhSubsidiary],
            minimumFractionDigits: 2,
            maximumFractionDigits: 2,
        }).format(priceValue);
    }
};
