import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useMemo, useState } from 'react';
import { FilterComparator } from '@ovh-ux/manager-core-api';
import { ODS_BUTTON_SIZE, ODS_INPUT_TYPE } from '@ovhcloud/ods-components';
import { OdsButton, OdsFormField, OdsInput, OdsSelect, } from '@ovhcloud/ods-components/react';
import { useTranslation } from 'react-i18next';
import './translations';
export function FilterAdd({ columns, onAddFilter }) {
    const { t } = useTranslation('filters');
    const [selectedId, setSelectedId] = useState(columns?.[0]?.id || '');
    const [selectedComparator, setSelectedComparator] = useState(columns?.[0]?.comparators?.[0] || FilterComparator.IsEqual);
    const [value, setValue] = useState('');
    const selectedColumn = useMemo(() => columns.find(({ id }) => selectedId === id), [columns, selectedId]);
    const submitAddFilter = () => {
        onAddFilter({
            key: selectedId,
            comparator: selectedComparator,
            value,
        }, selectedColumn);
        setValue('');
    };
    return (_jsxs(_Fragment, { children: [_jsx("div", { children: _jsxs(OdsFormField, { className: "w-full", children: [_jsx("div", { slot: "label", children: _jsx("span", { className: "text-[--ods-color-heading] leading-[22px]", children: t('common_criteria_adder_column_label') }) }), _jsx(OdsSelect, { value: selectedId, name: "add-filter_select_idColumn", "data-testid": "add-filter_select_idColumn", onOdsChange: (event) => setSelectedId(event.detail.value), children: columns.map(({ id, label }) => (_jsx("option", { value: id, children: label }, id))) })] }) }), _jsx("div", { children: _jsxs(OdsFormField, { className: "mt-2 w-full", children: [_jsx("div", { slot: "label", children: _jsx("span", { className: "text-[--ods-color-heading] leading-[22px]", children: t('common_criteria_adder_operator_label') }) }), _jsx(OdsSelect, { name: "add-operator", value: selectedComparator, onOdsChange: (event) => {
                                setSelectedComparator(event.detail.value);
                            }, children: selectedColumn?.comparators?.map((comp) => (_jsx("option", { value: comp, children: t(`${'common_criteria_adder_operator_'}${comp}`) }, comp))) })] }) }), _jsx("div", { children: _jsxs(OdsFormField, { className: "mt-2 w-full", children: [_jsx("div", { slot: "label", children: _jsx("span", { className: "text-[--ods-color-heading] leading-[22px]", children: t('common_criteria_adder_value_label') }) }), _jsx(OdsInput, { name: "filter-add_value-input", className: "border", type: ODS_INPUT_TYPE.text, value: value, "data-testid": "filter-add_value-input", onOdsChange: (e) => setValue(`${e.detail.value}`), onKeyDown: (e) => {
                                if (e.key === 'Enter') {
                                    submitAddFilter();
                                }
                            } })] }) }), _jsx("div", { children: _jsx(OdsButton, { className: "mt-4 w-full filter-add-button-submit", size: ODS_BUTTON_SIZE.sm, isDisabled: !value, onClick: submitAddFilter, "data-testid": "filter-add_submit", label: t('common_criteria_adder_submit_label') }) })] }));
}
