import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { OdsTag } from '@ovhcloud/ods-components/react';
import { ODS_TAG_COLOR } from '@ovhcloud/ods-components';
import { useTranslation } from 'react-i18next';
import './translations';
export function FilterList({ filters, onRemoveFilter, }) {
    const { t } = useTranslation('filters');
    const tComp = (comparator) => t(`common_criteria_adder_operator_${comparator}`);
    return (_jsx(_Fragment, { children: filters?.map((filter, key) => (_jsx(OdsTag, { className: "m-3", color: ODS_TAG_COLOR.information, size: "lg", onOdsRemove: () => onRemoveFilter(filter), "data-testid": "filter-list_tag_item", label: `${filter.label ? `${filter.label} ${tComp(filter.comparator)} ` : ''}
          ${filter.value}` }, key))) }));
}
