import { useState } from 'react';
import './translations';
const filterEquals = (a, b) => a.key === b.key && a.value === b.value && a.comparator === b.comparator;
export function useColumnFilters() {
    const [filters, setFilters] = useState([]);
    return {
        filters,
        addFilter: (filter) => {
            if (filter.value) {
                setFilters((previousFilters) => {
                    /**
                     * ? To remove the duplication from the filters
                     */
                    if (previousFilters.some((f) => filterEquals(f, filter))) {
                        return previousFilters;
                    }
                    return [...previousFilters, filter];
                });
            }
        },
        removeFilter: (filter) => {
            setFilters((previousFilters) => previousFilters.filter((f) => !filterEquals(f, filter)));
        },
    };
}
