import { jsx as _jsx } from "react/jsx-runtime";
import { useEnvironment, useTracking, } from '@ovh-ux/manager-react-shell-client';
import { useTranslation } from 'react-i18next';
import { GuidesHeader } from '../guides-header.component';
import { GUIDES_LIST } from './pci-guides-header.constants';
import './translations';
export function PciGuidesHeader({ category }) {
    const { ovhSubsidiary } = useEnvironment().getUser();
    const { trackClick } = useTracking();
    const [t] = useTranslation('pci-guides-header');
    return (_jsx(GuidesHeader, { label: t('pci_project_guides_header'), guides: GUIDES_LIST[category], ovhSubsidiary: ovhSubsidiary, getGuideLabel: (guide) => t(`pci_project_guides_header_${guide.key}`), onGuideClick: (guide) => {
            trackClick({
                name: `public-cloud_credit_and_vouchers${guide.tracking}`,
                type: 'action',
            });
        } }));
}
