import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { useMemo, useState } from 'react';
import isEqual from 'lodash.isequal';
import { TabsComponent } from '../../container/tabs/Tabs.component';
import { SimpleTilesInputComponent, } from './components/SimpleTilesInput.component';
export const TilesInputComponent = function TilesInputComponent({ id, items, value, onInput, label, tileClass, stack, group, }) {
    const [state, setState] = useState({
        selectedGroup: group?.value,
        selectedStack: stack?.value,
    });
    const groups = useMemo(() => {
        const newGroups = new Map();
        if (group && typeof group.by === 'function') {
            if (group.showAllTab) {
                newGroups.set(undefined, [...items]);
            }
            items.forEach((item) => {
                const groupId = group.by(item);
                if (!newGroups.has(groupId)) {
                    newGroups.set(groupId, []);
                }
                newGroups.get(groupId).push(item);
            });
        }
        return newGroups;
    }, [items, group]);
    return (_jsx(_Fragment, { children: group ? (_jsx(TabsComponent, { items: [...groups?.keys()], titleElement: (key) => group.label(key, groups.get(key)), contentElement: (item) => (_jsx(SimpleTilesInputComponent, { id: id, items: groups.get(item) || [], value: value, onInput: onInput, label: label, tileClass: tileClass, stack: stack
                    ? {
                        ...stack,
                        onChange: (s) => {
                            setState((prev) => ({ ...prev, selectedStack: s }));
                            if (stack?.onChange)
                                stack?.onChange(s);
                        },
                    }
                    : undefined })), onChange: (g) => {
                setState((prev) => ({ ...prev, selectedGroup: g }));
                if (group.onChange && !isEqual(state.selectedGroup, g))
                    group.onChange(g);
            } })) : (_jsx(SimpleTilesInputComponent, { id: id, items: items, value: value, onInput: onInput, label: label, tileClass: tileClass, stack: stack })) }));
};
export default TilesInputComponent;
