import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useTranslation } from 'react-i18next';
import { OdsBadge, OdsCard } from '@ovhcloud/ods-components/react';
import { LinkType, Links } from '../../typography';
import './translations/translations';
export const Card = ({ href, isExternalHref, hrefLabel, img, badges, texts, hoverable, onClick, trackingLabel, ...props }) => {
    const { title, description, category } = texts;
    const { t } = useTranslation('card');
    return (_jsx("a", { target: "_blank", href: href, className: "no-underline", onClick: onClick, ...props, children: _jsx(OdsCard, { className: "w-full h-full p-[1rem]", color: "neutral", "data-tracking": trackingLabel, children: _jsxs("div", { className: "flex flex-col", children: [img?.src && (_jsx("img", { className: "max-w-full my-3 mx-auto", src: img.src, alt: img.alt })), _jsxs("div", { children: [_jsx("span", { className: "card-category text-[--ods-color-primary-500] text-[20px] leading-[28px] font-bold", children: category }), _jsx("span", { className: "ml-[10px] card-badges-section", children: badges?.map((b) => (_jsx(OdsBadge, { className: "mr-1", label: b.text }, b.text))) })] }), _jsx("span", { className: "card-title text-[--ods-color-heading] text-[24px] leading-[32px] font-bold mb-[8px]", children: title }), description && (_jsx("p", { className: "block m-0 p-0 text-[--ods-color-text] mb-4", children: description })), _jsx("div", { className: "section-see-more-label", children: _jsx(Links, { "tab-index": "-1", label: hrefLabel ?? t('see_more_label'), type: isExternalHref ? LinkType.external : LinkType.next }) })] }) }) }));
};
