import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { ODS_BUTTON_VARIANT, ODS_BUTTON_SIZE, ODS_ICON_NAME, } from '@ovhcloud/ods-components';
import { OdsButton, OdsPopover } from '@ovhcloud/ods-components/react';
import { useTranslation } from 'react-i18next';
import '../translations/translation';
import { ManagerButton } from '../../../ManagerButton/ManagerButton';
const MenuItem = ({ item, isTrigger, id, }) => {
    const buttonProps = {
        size: ODS_BUTTON_SIZE.sm,
        variant: ODS_BUTTON_VARIANT.ghost,
        displayTooltip: false,
        className: 'w-full action-menu-item',
        ...item,
    };
    return (_jsx("div", { className: "-mx-[2px]", children: !item?.iamActions || item?.iamActions?.length === 0 ? (_jsx(OdsButton, { ...buttonProps, label: item.label, children: _jsx("span", { slot: "start", children: _jsx("span", { children: item.label }) }) })) : (_jsx(ManagerButton, { id: `${id}`, isIamTrigger: isTrigger, iamActions: item.iamActions, urn: item.urn, ...buttonProps, children: _jsx("span", { slot: "start", children: _jsx("span", { children: item.label }) }) })) }));
};
export const ActionMenu = ({ items, isCompact, icon, variant = ODS_BUTTON_VARIANT.outline, isDisabled = false, id, }) => {
    const { t } = useTranslation('buttons');
    const [isTrigger, setIsTrigger] = React.useState(false);
    return (_jsxs(_Fragment, { children: [_jsx("div", { id: `navigation-action-trigger-${id}`, children: _jsx(OdsButton, { "data-testid": "navigation-action-trigger-action", className: "action-menu-btn", slot: "menu-title", id: id, variant: variant, isDisabled: isDisabled, size: ODS_BUTTON_SIZE.sm, onClick: () => setIsTrigger(true), ...(!isCompact && { label: t('common_actions') }), icon: icon ||
                        (isCompact
                            ? ODS_ICON_NAME.ellipsisVertical
                            : ODS_ICON_NAME.chevronDown) }) }, id), _jsx(OdsPopover, { className: "py-[8px] px-0 overflow-hidden", triggerId: `navigation-action-trigger-${id}`, "with-arrow": true, children: items.map(({ id: itemId, ...item }) => {
                    return (_jsx(MenuItem, { id: itemId, item: item, isTrigger: isTrigger }, itemId));
                }) })] }));
};
export default ActionMenu;
