import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { ODS_BUTTON_VARIANT, ODS_BUTTON_SIZE, ODS_ICON_NAME, } from '@ovhcloud/ods-components';
import { OdsPopover, OdsButton } from '@ovhcloud/ods-components/react';
import { useTranslation } from 'react-i18next';
import { Links, LinkType } from '../../../typography';
import '../translations/translation';
export const GuideButton = ({ items }) => {
    const { t } = useTranslation('buttons');
    return (_jsxs(_Fragment, { children: [_jsx("div", { id: "navigation-menu-guide-trigger", children: _jsx(OdsButton, { slot: "menu-title", className: "block mb-6", variant: ODS_BUTTON_VARIANT.ghost, size: ODS_BUTTON_SIZE.sm, label: t('user_account_guides_header'), icon: ODS_ICON_NAME.book }) }), _jsx(OdsPopover, { triggerId: "navigation-menu-guide-trigger", "with-arrow": "true", children: items.map((item) => (_jsx("div", { children: _jsx(Links, { href: item.href, target: item.target, download: item.download, rel: item.rel, type: LinkType.external, label: item.label, onClickReturn: item.onClick }) }, item.id))) })] }));
};
export default GuideButton;
