import { jsx as _jsx } from "react/jsx-runtime";
import { OdsMessage } from '@ovhcloud/ods-components/react';
import { ODS_MESSAGE_COLOR } from '@ovhcloud/ods-components';
import { NotificationType, useNotifications, } from './useNotifications';
const getOdsMessageColor = (type) => {
    switch (type) {
        case NotificationType.Success:
            return ODS_MESSAGE_COLOR.success;
        case NotificationType.Error:
            return ODS_MESSAGE_COLOR.danger;
        case NotificationType.Warning:
            return ODS_MESSAGE_COLOR.warning;
        case NotificationType.Info:
            return ODS_MESSAGE_COLOR.information;
        default:
            return ODS_MESSAGE_COLOR.information;
    }
};
export const OdsNotification = ({ notification, }) => {
    const { clearNotification } = useNotifications();
    return (_jsx(OdsMessage, { className: "mb-2 w-full", color: getOdsMessageColor(notification.type), onOdsRemove: () => clearNotification(notification.uid), children: notification.content }));
};
export default OdsNotification;
