import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { ODS_MESSAGE_COLOR } from '@ovhcloud/ods-components';
import { OdsLink, OdsMessage } from '@ovhcloud/ods-components/react';
import { useTranslation } from 'react-i18next';
import './translations';
export function PciMaintenanceBanner({ productName, projectName, serviceName, maintenanceURL, }) {
    const { t } = useTranslation('pci-maintenance-banner');
    return (_jsxs(OdsMessage, { color: ODS_MESSAGE_COLOR.warning, "data-testid": "maintenance-banner", children: [projectName && (_jsx("span", { dangerouslySetInnerHTML: {
                    __html: t('pci_projects_maintenance_banner_info_project_page', {
                        projectName,
                    }),
                } })), productName && (_jsx("span", { dangerouslySetInnerHTML: {
                    __html: t('pci_projects_maintenance_banner_info_list_page', {
                        productName: `<span class="font-bold">${productName}</span>`,
                    }),
                } })), serviceName && (_jsx("span", { dangerouslySetInnerHTML: {
                    __html: t('pci_projects_maintenance_banner_info_product_page', {
                        productServiceName: serviceName,
                    }),
                } })), _jsx("span", { children: _jsx(OdsLink, { "data-testid": "pci-maintenance-banner-link", className: "ml-4", href: maintenanceURL, target: "_blank", label: t('pci_projects_maintenance_banner_info_link') }) })] }));
}
