import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { Navigate } from 'react-router-dom';
import { OdsSpinner } from '@ovhcloud/ods-components/react';
import { ODS_SPINNER_SIZE } from '@ovhcloud/ods-components';
export function RedirectionGuard({ route, condition, isLoading, children, isError, errorComponent, }) {
    if (isLoading) {
        return (_jsx(OdsSpinner, { "data-testid": "redirectionGuard_spinner", size: ODS_SPINNER_SIZE.md }));
    }
    if (isError && errorComponent) {
        return _jsx(_Fragment, { children: errorComponent });
    }
    return condition ? _jsx(Navigate, { to: route }) : _jsx(_Fragment, { children: children });
}
