import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { OdsBreadcrumb, OdsBreadcrumbItem, OdsTab, OdsTabs, OdsTable, OdsBadge, } from '@ovhcloud/ods-components/react';
import { DashboardTile } from '../../content';
import OdsNotification from '../../notifications/ods-notification';
import { NotificationType } from '../../notifications/useNotifications';
import { BaseLayout } from './base.component';
import GuideButton from '../../navigation/menus/guide/guide.component';
import './base.stories.css';
import { DashboardGridLayout } from '../layout/layout.component';
import { ActionMenu } from '../../navigation';
const guideItems = [
    {
        id: 1,
        href: 'https://www.ovh.com',
        target: '_blank',
        label: 'ovh.com',
    },
    {
        id: 2,
        href: 'https://help.ovhcloud.com/csm/fr-documentation?id=kb_home',
        target: '_blank',
        label: 'Guides OVH',
    },
];
const rows = [
    {
        id: 'user-t',
        name: 'user-t',
        description: 'Lorem ipsum dolor',
    },
    {
        id: 'user-n',
        name: 'user-n',
        description: 'Lorem ipsum dolor',
    },
    {
        id: 'user-x',
        name: 'user-x',
        description: 'Lorem ipsum dolor',
    },
    {
        id: 'user-y',
        name: 'user-y',
        description: 'Lorem ipsum dolor',
    },
];
const Tabs = () => (_jsx(OdsTable, { children: _jsxs("table", { children: [_jsx("thead", { children: _jsxs("tr", { children: [_jsx("th", { scope: "col", children: "Nom" }), _jsx("th", { scope: "col", children: "Description" }), _jsx("th", { scope: "col", children: "Status" })] }) }), _jsx("tbody", { children: rows.map((element) => (_jsxs("tr", { children: [_jsx("td", { scope: "row", children: element.name }), _jsx("td", { scope: "row", children: element.description }), _jsx("td", { scope: "row", children: _jsx(OdsBadge, { label: "Ready" }) })] }, element.id))) })] }) }));
export const listingTemplateProps = {
    breadcrumb: (_jsxs(OdsBreadcrumb, { children: [_jsx(OdsBreadcrumbItem, { href: "/vrack-services", label: "Vrack Services" }), _jsx(OdsBreadcrumbItem, { href: "/vrs-abc-def-ghi", label: "vrs-abc-def-ghi" })] })),
    header: {
        title: 'Vrack Services',
        headerButton: _jsx(GuideButton, { items: guideItems }),
    },
    description: 'Description de la listing, Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
    message: (_jsx(OdsNotification, { notification: {
            uid: 87879789,
            content: 'Votre service a été créé avec succès',
            type: NotificationType.Success,
        } })),
    children: _jsx(Tabs, {}),
    subtitle: '',
    backLinkLabel: '',
    onClickReturn: () => {
        console.log('back link click');
    },
    subdescription: '',
};
const dashboardTemplateProps = {
    breadcrumb: (_jsxs(OdsBreadcrumb, { children: [_jsx(OdsBreadcrumbItem, { href: "/vrack-services", label: "Vrack Services" }), _jsx(OdsBreadcrumbItem, { href: "/vrs-abc-def-ghi", label: "vrs-abc-def-ghi" })] })),
    header: {
        title: 'Vrack Services',
        headerButton: _jsx(GuideButton, { items: guideItems }),
    },
    backLinkLabel: 'Retour à la XXX',
    onClickReturn: () => {
        console.log('back link click');
    },
    subdescription: '',
    description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
    message: (_jsx(OdsNotification, { notification: {
            uid: 87879789,
            content: 'Votre service a été créé avec succès',
            type: NotificationType.Success,
        } })),
    tabs: (_jsxs(OdsTabs, { children: [_jsx(OdsTab, { "is-selected": "true", id: "tab1", children: "Informations g\u00E9n\u00E9rales" }), _jsx(OdsTab, { id: "tab2", children: "Tabs 2" })] })),
    children: (_jsxs(DashboardGridLayout, { children: [_jsx(DashboardTile, { title: "General info", items: [
                    { id: '1', label: 'Name', value: 'name 1' },
                    { id: '2', label: 'Service ID', value: 'xxxx-128875' },
                    {
                        id: '3',
                        label: 'Datacentre location',
                        value: (_jsxs("div", { className: "flex", children: [_jsx("div", { className: "mr-auto", children: "Test value" }), _jsx(ActionMenu, { id: "base-story-action-menu", isCompact: true, items: [
                                        {
                                            id: 1,
                                            label: 'Edit',
                                        },
                                        {
                                            id: 2,
                                            label: 'Delete',
                                        },
                                    ] })] })),
                    },
                ] }, 1), _jsx(DashboardTile, { title: "Configuration", items: [
                    { id: '1', label: 'Quota', value: _jsx("div", { children: "Quota description" }) },
                ] }, 2), _jsx(DashboardTile, { title: "Billing", items: [
                    { id: '1', label: 'Creation date', value: '15 July 2022' },
                    { id: '2', label: 'Next payment', value: '1 February 2023' },
                    { id: '3', label: 'Contact', value: 'Manager contact' },
                ] }, 3)] })),
};
export const DashboardTemplate = () => (_jsx(BaseLayout, { ...dashboardTemplateProps }));
const meta = {
    title: 'Templates/Base',
    component: BaseLayout,
    argTypes: {},
    args: listingTemplateProps,
};
export default meta;
