import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { useTranslation } from 'react-i18next';
import { OdsText, OdsInput, OdsMessage, OdsModal, OdsButton, OdsFormField, } from '@ovhcloud/ods-components/react';
import { ODS_BUTTON_VARIANT, ODS_INPUT_TYPE, ODS_BUTTON_COLOR, ODS_MESSAGE_COLOR, ODS_MODAL_COLOR, } from '@ovhcloud/ods-components';
import { handleClick } from '../../../utils/click-utils';
import './translations/translations';
export const defaultDeleteModalTerminateValue = 'TERMINATE';
export const DeleteModal = ({ headline, description, isOpen = false, deleteInputLabel, closeModal, isLoading, onConfirmDelete, error, cancelButtonLabel, confirmButtonLabel, terminateValue = defaultDeleteModalTerminateValue, }) => {
    const { t } = useTranslation('delete-modal');
    const [deleteInput, setDeleteInput] = React.useState('');
    const isDisabled = isLoading || deleteInput !== terminateValue || undefined;
    const close = React.useCallback(() => {
        setDeleteInput('');
        closeModal();
    }, []);
    return (_jsxs(OdsModal, { color: ODS_MODAL_COLOR.warning, class: "modal-actions", onOdsClose: close, isOpen: isOpen, children: [_jsx("div", { children: _jsx("span", { className: "delete-modal-headline text-[--ods-color-heading] text-[24px] leading-[32px] font-bold", children: headline }) }), !!error && (_jsx(OdsMessage, { color: ODS_MESSAGE_COLOR.warning, children: _jsx(OdsText, { preset: "span", children: t('deleteModalError', { error }) }) })), _jsx("span", { className: "delete-modal-description text-[--ods-color-text] text-[14px] leading-[18px] my-[8px]", children: description }), _jsxs(OdsFormField, { className: "mb-8", children: [_jsx("label", { slot: "label", children: deleteInputLabel }), _jsx(OdsInput, { name: "", "aria-label": "delete-input", isDisabled: isLoading || undefined, type: ODS_INPUT_TYPE.text, value: deleteInput, onOdsChange: (e) => setDeleteInput(e.detail.value) })] }), _jsx(OdsButton, { isDisabled: isLoading, slot: "actions", "data-testid": "manager-delete-modal-cancel", variant: ODS_BUTTON_VARIANT.ghost, color: ODS_BUTTON_COLOR.primary, ...handleClick(close), label: cancelButtonLabel || t('deleteModalCancelButton') }), _jsx(OdsButton, { isDisabled: isDisabled, slot: "actions", isLoading: isLoading, "data-testid": "manager-delete-modal-confirm", ...handleClick(() => {
                    setDeleteInput('');
                    onConfirmDelete();
                }), label: confirmButtonLabel || t('deleteModalDeleteButton') })] }));
};
