import { jsx as _jsx } from "react/jsx-runtime";
import { useDeleteService, } from '../../../hooks/services';
import { DeleteModal } from './delete-modal.component';
export const DeleteServiceModal = ({ onConfirmDelete, resourceName, onSuccess, onError, mutationKey, isLoading, ...props }) => {
    const { terminateService, isPending, error, isError } = useDeleteService({
        onSuccess,
        onError,
        mutationKey,
    });
    return (_jsx(DeleteModal, { ...props, isLoading: isLoading || isPending, error: isError ? error?.response?.data?.message : null, onConfirmDelete: () => {
            onConfirmDelete?.();
            terminateService({ resourceName });
        } }));
};
