import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { OdsText, OdsButton, OdsMessage } from '@ovhcloud/ods-components/react';
import { ODS_BUTTON_VARIANT, ODS_MESSAGE_COLOR, ODS_TEXT_PRESET, } from '@ovhcloud/ods-components';
import './translations/translations';
import { useTranslation } from 'react-i18next';
import ErrorImg from '../../../../public/assets/error-banner-oops.png';
export const ErrorBanner = ({ error, onRedirectHome, onReloadPage, labelTracking, }) => {
    const { t } = useTranslation('error');
    return (_jsxs("div", { className: "mx-auto  w-full h-full max-w-[600px] overflow-hidden mx-autogrid p-5", children: [_jsx("img", { src: ErrorImg, alt: "OOPS", className: "w-full" }), _jsx("div", { className: "py-2", children: _jsx(OdsText, { preset: ODS_TEXT_PRESET.heading1, children: t('manager_error_page_title') }) }), _jsx("div", { children: _jsx(OdsMessage, { color: ODS_MESSAGE_COLOR.warning, "data-tracking": labelTracking, className: "w-full", children: _jsxs("div", { children: [_jsx("div", { children: t('manager_error_page_default') }), _jsx("div", { children: error?.data?.message && _jsx("strong", { children: error.data.message }) }), _jsx("div", { children: error?.headers?.['x-ovh-queryid'] && (_jsxs("p", { children: [t('manager_error_page_detail_code'), error.headers['x-ovh-queryid']] })) })] }) }) }), _jsxs("div", { className: "overflow-hidden mt-5 py-2", children: [_jsx("div", { children: _jsx(OdsButton, { "data-testid": "error-template-action-home", className: "error-template-actions  w-full", variant: ODS_BUTTON_VARIANT.ghost, onClick: onRedirectHome, label: t('manager_error_page_action_home_label') }) }), _jsx("div", { children: _jsx(OdsButton, { "data-testid": "error-template-action-reload", className: "error-template-actions w-full ", onClick: onReloadPage, label: t('manager_error_page_action_reload_label') }) })] })] }));
};
