import { Fragment as _Fragment, jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { ODS_BUTTON_SIZE, ODS_ICON_NAME, ODS_TEXT_PRESET, } from '@ovhcloud/ods-components';
import { OdsButton, OdsText, OdsLink } from '@ovhcloud/ods-components/react';
import placeholderSrc from '../../../../public/assets/placeholder.png';
const OnboardingLayoutButton = ({ orderHref, orderButtonLabel, moreInfoHref, moreInfoButtonLabel, onOrderButtonClick, onmoreInfoButtonClick, isActionDisabled, }) => {
    if (!orderButtonLabel && !moreInfoButtonLabel) {
        return _jsx(_Fragment, {});
    }
    return (_jsxs("div", { className: "flex sm:pt-8 xs:pt-2.5 flex-row items-center space-x-4 justify-center", children: [moreInfoButtonLabel && moreInfoHref && (_jsx(OdsLink, { onClick: onmoreInfoButtonClick, ...(isActionDisabled && { disabled: true }), href: moreInfoHref, label: moreInfoButtonLabel, icon: ODS_ICON_NAME.externalLink })), _jsx(OdsButton, { size: ODS_BUTTON_SIZE.md, onClick: onOrderButtonClick, label: orderButtonLabel })] }));
};
export const OnboardingLayout = ({ hideHeadingSection, title, description, orderHref, orderButtonLabel, moreInfoHref, moreInfoButtonLabel, children, onOrderButtonClick, onmoreInfoButtonClick, img = {}, isActionDisabled, }) => {
    const { className: imgClassName, ...imgProps } = img;
    return (_jsxs("div", { className: "flex flex-col mx-auto sm:px-10", children: [!hideHeadingSection && (_jsxs("section", { className: "flex flex-col items-center", children: [(img?.src || placeholderSrc) && (_jsx("div", { className: "flex justify-center pt-8 max-h-28 w-full", children: _jsx("img", { ...imgProps, className: "max-h-[150px]", src: img?.src ?? placeholderSrc, alt: "", width: img?.width, height: img?.height }) })), _jsx(OdsText, { preset: ODS_TEXT_PRESET.heading1, className: "block text-center sm:pt-8 xs:pt-2.5", children: title }), description && (_jsx(OdsText, { preset: "span", className: "onboarding-description", children: description })), _jsx(OnboardingLayoutButton, { isActionDisabled: isActionDisabled, orderHref: orderHref, onOrderButtonClick: onOrderButtonClick, onmoreInfoButtonClick: onmoreInfoButtonClick, orderButtonLabel: orderButtonLabel, moreInfoHref: moreInfoHref, moreInfoButtonLabel: moreInfoButtonLabel })] })), children && (_jsx("aside", { className: "grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 gap-6 xs:pt-10 sm:pt-20", children: children }))] }));
};
