import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { useTranslation } from 'react-i18next';
import { OdsText, OdsInput, OdsMessage, OdsModal, OdsButton, OdsFormField, } from '@ovhcloud/ods-components/react';
import { ODS_BUTTON_VARIANT, ODS_INPUT_TYPE, ODS_MESSAGE_COLOR, } from '@ovhcloud/ods-components';
import { handleClick } from '../../../utils/click-utils';
import './translations/translations';
export const UpdateNameModal = ({ headline, description, inputLabel, defaultValue, closeModal, isLoading, updateDisplayName, error, cancelButtonLabel, confirmButtonLabel, pattern, patternMessage, isOpen = false, }) => {
    const { t } = useTranslation('update-name-modal');
    const [displayName, setDisplayName] = React.useState(defaultValue);
    const [isPatternError, setIsPatternError] = React.useState(false);
    React.useEffect(() => {
        setDisplayName(defaultValue);
    }, [defaultValue]);
    React.useEffect(() => {
        const regex = new RegExp(pattern);
        setIsPatternError(!displayName?.match(regex));
    }, [displayName, pattern]);
    return (_jsxs(OdsModal, { isOpen: isOpen, onOdsClose: closeModal, children: [_jsx("div", { children: _jsx("span", { className: "update-name-headline text-[--ods-color-heading] text-[24px] leading-[32px] font-bold", children: headline }) }), !!error && (_jsx(OdsMessage, { color: ODS_MESSAGE_COLOR.danger, children: _jsx(OdsText, { preset: "span", children: t('updateModalError', { error }) }) })), _jsx("span", { className: "update-name-description text-[--ods-color-text] text-[14px] leading-[18px] my-[8px]", children: description }), _jsxs(OdsFormField, { className: "mb-8", children: [_jsx("div", { slot: "label", children: _jsx("span", { className: "update-name-input-label text-[--ods-color-text] text-[14px] leading-[18px] font-semibold", children: inputLabel }) }), _jsx(OdsInput, { "aria-label": "update-input", isDisabled: isLoading, type: ODS_INPUT_TYPE.text, value: displayName, hasError: isPatternError || undefined, name: "update-name-modal-input", onOdsChange: (e) => setDisplayName(e.detail.value) }), patternMessage && (_jsx("div", { className: "mt-5", children: _jsx(OdsText, { preset: "span", className: `update-name-modal-pattern-message ${isPatternError && pattern ? 'error' : ''}`, children: patternMessage }) }))] }), _jsx(OdsButton, { slot: "actions", variant: ODS_BUTTON_VARIANT.ghost, ...handleClick(closeModal), label: cancelButtonLabel || t('updateModalCancelButton') }), _jsx(OdsButton, { isDisabled: isPatternError || defaultValue === displayName || undefined, slot: "actions", isLoading: isLoading, ...handleClick(() => updateDisplayName(displayName)), label: confirmButtonLabel || t('updateModalConfirmButton') })] }));
};
