import { useEffect, useState } from 'react';
import { fetchIcebergV2 } from '@ovh-ux/manager-core-api';
import { useInfiniteQuery } from '@tanstack/react-query';
export const defaultPageSize = 10;
/**
 * @deprecated use fetchIcebergV2 from @ovh-ux/manager-core-api
 */
export const getResourcesIcebergV2 = fetchIcebergV2;
export function useResourcesIcebergV2({ route, pageSize = defaultPageSize, queryKey, defaultSorting = undefined, }) {
    const [flattenData, setFlattenData] = useState([]);
    const [sorting, setSorting] = useState(defaultSorting);
    const { data, fetchNextPage, hasNextPage, isError, isLoading, error, status, } = useInfiniteQuery({
        initialPageParam: null,
        queryKey,
        queryFn: ({ pageParam }) => fetchIcebergV2({ route, pageSize, cursor: pageParam }),
        staleTime: Infinity,
        retry: false,
        getNextPageParam: (lastPage) => lastPage.cursorNext,
    });
    useEffect(() => {
        const flatten = data?.pages.map((page) => page.data).flat();
        setFlattenData(flatten);
    }, [data]);
    return {
        data,
        fetchNextPage,
        hasNextPage,
        flattenData,
        isError,
        isLoading,
        setSorting,
        sorting,
        error,
        status,
    };
}
