import { useTranslation } from 'react-i18next';
export const defaultUnknownDateLabel = 'N/A';
export var DateFormat;
(function (DateFormat) {
    /**
     * dd/MM/YYYY
     */
    DateFormat["compact"] = "compact";
    /**
     * dd abbreviated month YYYY
     */
    DateFormat["display"] = "display";
    /**
     * dd month YYYY
     */
    DateFormat["fullDisplay"] = "fullDisplay";
})(DateFormat || (DateFormat = {}));
export const useFormattedDate = ({ dateString, defaultLocale = 'FR-fr', unknownDateLabel = defaultUnknownDateLabel, format = DateFormat.display, }) => {
    const { i18n } = useTranslation();
    const date = new Date(dateString);
    const locale = i18n?.language?.replace('_', '-') || defaultLocale;
    if (date.toString() === 'Invalid Date') {
        return unknownDateLabel;
    }
    return format === DateFormat.compact
        ? date.toLocaleDateString(locale)
        : date.toLocaleString(locale, {
            day: 'numeric',
            month: format === DateFormat.fullDisplay ? 'long' : 'short',
            year: 'numeric',
        });
};
