import { useQuery } from '@tanstack/react-query';
import { v6 } from '@ovh-ux/manager-core-api';
export const getProjectQuota = async (projectId) => {
    const { data } = await v6.get(`/cloud/project/${projectId}/quota`);
    return data;
};
export const useProjectQuota = (projectId) => useQuery({
    queryKey: ['project', projectId, 'quota'],
    queryFn: () => getProjectQuota(projectId),
});
