import { useQuery } from '@tanstack/react-query';
import { fetchIcebergV6 } from '@ovh-ux/manager-core-api';
export const getProjectRegionsQueryKey = (projectId) => [
    'project',
    projectId,
    'regions',
];
export const getProjectRegions = async (projectId) => {
    const { data } = await fetchIcebergV6({
        route: `/cloud/project/${projectId}/region`,
    });
    return data;
};
export const useProjectRegions = (projectId) => useQuery({
    queryKey: getProjectRegionsQueryKey(projectId),
    queryFn: () => getProjectRegions(projectId),
});
