import { useQuery, useQueryClient } from '@tanstack/react-query';
import { getResourceServiceId, getResourceServiceIdQueryKey, getServiceDetails, } from '../api';
export const getServiceDetailsQueryKey = (resourceName) => [
    'service-details',
    resourceName,
];
export const useServiceDetails = ({ queryKey, resourceName, }) => {
    const queryClient = useQueryClient();
    return useQuery({
        queryKey: queryKey ?? getServiceDetailsQueryKey(resourceName),
        queryFn: async () => {
            const { data } = await queryClient.fetchQuery({
                queryKey: getResourceServiceIdQueryKey({ resourceName }),
                queryFn: () => getResourceServiceId({ resourceName }),
            });
            return getServiceDetails(data[0]);
        },
    });
};
