import { useQueryClient, useMutation } from '@tanstack/react-query';
import { updateServiceName, getResourceServiceId, getResourceServiceIdQueryKey, } from '../api';
export const updateServiceNameMutationKey = ['put/services/displayName'];
export const useUpdateServiceDisplayName = ({ onSuccess, onError, mutationKey = updateServiceNameMutationKey, }) => {
    const queryClient = useQueryClient();
    const { mutate: updateDisplayName, ...mutation } = useMutation({
        mutationKey,
        mutationFn: async ({ resourceName, displayName, }) => {
            const { data: servicesId } = await queryClient.fetchQuery({
                queryKey: getResourceServiceIdQueryKey({ resourceName }),
                queryFn: () => getResourceServiceId({ resourceName }),
            });
            return updateServiceName({ serviceId: servicesId[0], displayName });
        },
        onSuccess,
        onError,
    });
    return {
        updateDisplayName,
        ...mutation,
    };
};
