import { fetchIcebergV6 } from '@ovh-ux/manager-core-api';
import { useQuery } from '@tanstack/react-query';
export const getProjectRegions = async (projectId) => {
    const { data } = await fetchIcebergV6({
        route: `/cloud/project/${projectId}/region`,
    });
    return data;
};
export const useProjectRegions = (projectId) => useQuery({
    queryKey: ['project', projectId, 'regions'],
    queryFn: () => getProjectRegions(projectId),
});
export const useProjectLocalRegions = (projectId) => useQuery({
    queryKey: ['project', projectId, 'regions', 'local'],
    queryFn: () => getProjectRegions(projectId),
    select: (regions) => regions.filter(({ type = [] }) => type === 'localzone'),
});
export const useProjectNonLocalRegions = (projectId) => useQuery({
    queryKey: ['project', projectId, 'regions', 'non-local'],
    queryFn: () => getProjectRegions(projectId),
    select: (regions) => regions.filter(({ type = [] }) => type !== 'localzone'),
});
