/**
 * Assign the function passed to the onClick event handler
 * as welll as the onKeyDown event handler when using the keys Space or Enter
 */
export const handleClick = (fn) => ({
    onClick: fn,
    onKeyDown: (event) => {
        if ([' ', 'Enter'].includes(event.key)) {
            fn(event);
        }
    },
});
export default handleClick;
