import { jsx as _jsx } from "react/jsx-runtime";
import { render } from '@testing-library/react';
import { I18nextProvider } from 'react-i18next';
import { QueryClient, QueryClientProvider } from '@tanstack/react-query';
import i18n from '../../.storybook/i18n';
import '@testing-library/jest-dom';
import 'element-internals-polyfill';
export const queryClient = new QueryClient({
    defaultOptions: {
        mutations: {
            retry: false,
        },
        queries: {
            retry: false,
        },
    },
});
const Wrappers = ({ children }) => {
    return (_jsx(QueryClientProvider, { client: queryClient, children: _jsx(I18nextProvider, { i18n: i18n, children: children }) }));
};
const customRender = (ui, options) => render(ui, { wrapper: Wrappers, ...options });
export { customRender as render };
