/// <reference types="react" />
export type TStepProps = {
    id?: string;
    title?: string | JSX.Element;
    subtitle?: string | JSX.Element;
    isOpen: boolean;
    isChecked: boolean;
    isLocked: boolean;
    order: number;
    next?: {
        action: (id: string) => void;
        label: string | JSX.Element;
        isDisabled?: boolean;
    };
    edit?: {
        action: (id: string) => void;
        label: string | JSX.Element;
        isDisabled?: boolean;
    };
    skip?: {
        action: (id: string) => void;
        label: string | JSX.Element;
        isDisabled?: boolean;
        hint?: string;
    };
    children?: JSX.Element | JSX.Element[];
};
export declare const StepComponent: ({ id, title, subtitle, isOpen, isChecked, isLocked, order, children, next, edit, skip, }: TStepProps) => JSX.Element;
export default StepComponent;
