/// <reference types="react" />
export type TSimpleProps<T, S = void> = {
    id?: (() => string) | string;
    items: T[];
    value: T;
    onInput: (value: T) => void;
    label: (item: T) => JSX.Element | string;
    tileClass?: {
        active?: string;
        inactive?: string;
    };
    stack?: {
        by: (item: T) => S;
        label: (stack: S, items: T[]) => JSX.Element | string;
        title: (stack: S, items: T[]) => JSX.Element | string;
        value?: S;
        onChange?: (stack: S) => void;
    };
};
export declare const SimpleTilesInputComponent: <T, S>({ items, value, onInput, label, tileClass, stack, id, }: TSimpleProps<T, S>) => JSX.Element;
