import { FC } from 'react';
interface NotificationProps {
    /** Clear notifications once they have been displayed (on location changes) */
    clearAfterRead?: boolean;
}
/**
 * This component display the list of notifications. It acts
 * as a "flash" component because by default once the notifications have been
 * shown they are cleared. It means that you can use this component on multiple
 * pages, switching page won't display notifications twice.
 *
 * It replicates the current behavior of public cloud notifications for
 * actions (success / errors / etc)
 */
export declare const Notifications: FC<NotificationProps>;
export default Notifications;
