import { ReactNode } from 'react';
export declare enum NotificationType {
    Success = "success",
    Error = "error",
    Info = "info",
    Warning = "warning"
}
export interface Notification {
    /** unique notification identifier */
    uid: number;
    content: ReactNode;
    type: NotificationType;
    dismissable?: boolean;
    creationTimestamp?: number;
}
export interface NotificationState {
    uid: number;
    notifications: Notification[];
    addNotification: (content: ReactNode, type: NotificationType, dismissable?: boolean) => void;
    addSuccess: (content: ReactNode, dismissable?: boolean) => void;
    addError: (content: ReactNode, dismissable?: boolean) => void;
    addWarning: (content: ReactNode, dismissable?: boolean) => void;
    addInfo: (content: ReactNode, dismissable?: boolean) => void;
    clearNotification: (uid: number) => void;
    clearNotifications: () => void;
}
export declare const NOTIFICATION_MINIMAL_DISPLAY_TIME = 1000;
export declare const useNotifications: import("zustand").UseBoundStore<import("zustand").StoreApi<NotificationState>>;
export default useNotifications;
