/// <reference types="react" />
import { IcebergFetchParamsV6, fetchIcebergV6 } from '@ovh-ux/manager-core-api';
import { ColumnSort } from '../../components';
interface IcebergV6Hook {
    queryKey: string[];
    defaultSorting?: ColumnSort;
}
/**
 * @deprecated use fetchIcebergV6 from @ovh-ux/manager-core-api
 */
export declare const getResourcesIcebergV6: typeof fetchIcebergV6;
export declare function useResourcesIcebergV6<T = unknown>({ route, pageSize, queryKey, defaultSorting, }: IcebergFetchParamsV6 & IcebergV6Hook): {
    sorting: import("@tanstack/table-core").ColumnSort;
    setSorting: import("react").Dispatch<import("react").SetStateAction<import("@tanstack/table-core").ColumnSort>>;
    error: Error;
    isError: true;
    isPending: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isFetchNextPageError: false;
    isFetchPreviousPageError: false;
    isSuccess: false;
    status: "error";
    fetchNextPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ai) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchPreviousPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aj) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    hasNextPage: boolean;
    hasPreviousPage: boolean;
    isFetchingNextPage: boolean;
    isFetchingPreviousPage: boolean;
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
    pageIndex: number;
    totalCount: number;
    flattenData: T[];
} | {
    sorting: import("@tanstack/table-core").ColumnSort;
    setSorting: import("react").Dispatch<import("react").SetStateAction<import("@tanstack/table-core").ColumnSort>>;
    error: null;
    isError: false;
    isPending: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isFetchNextPageError: false;
    isFetchPreviousPageError: false;
    isSuccess: true;
    status: "success";
    fetchNextPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ai) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchPreviousPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aj) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    hasNextPage: boolean;
    hasPreviousPage: boolean;
    isFetchingNextPage: boolean;
    isFetchingPreviousPage: boolean;
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
    pageIndex: number;
    totalCount: number;
    flattenData: T[];
} | {
    sorting: import("@tanstack/table-core").ColumnSort;
    setSorting: import("react").Dispatch<import("react").SetStateAction<import("@tanstack/table-core").ColumnSort>>;
    error: Error;
    isError: true;
    isPending: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isFetchNextPageError: false;
    isFetchPreviousPageError: false;
    isSuccess: false;
    status: "error";
    fetchNextPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ai) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchPreviousPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aj) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    hasNextPage: boolean;
    hasPreviousPage: boolean;
    isFetchingNextPage: boolean;
    isFetchingPreviousPage: boolean;
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
    pageIndex: number;
    totalCount: number;
    flattenData: T[];
} | {
    sorting: import("@tanstack/table-core").ColumnSort;
    setSorting: import("react").Dispatch<import("react").SetStateAction<import("@tanstack/table-core").ColumnSort>>;
    error: null;
    isError: false;
    isPending: true;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isFetchNextPageError: false;
    isFetchPreviousPageError: false;
    isSuccess: false;
    status: "pending";
    fetchNextPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ai) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchPreviousPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aj) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    hasNextPage: boolean;
    hasPreviousPage: boolean;
    isFetchingNextPage: boolean;
    isFetchingPreviousPage: boolean;
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
    pageIndex: number;
    totalCount: number;
    flattenData: T[];
} | {
    sorting: import("@tanstack/table-core").ColumnSort;
    setSorting: import("react").Dispatch<import("react").SetStateAction<import("@tanstack/table-core").ColumnSort>>;
    error: null;
    isError: false;
    isPending: true;
    isLoadingError: false;
    isRefetchError: false;
    isFetchNextPageError: false;
    isFetchPreviousPageError: false;
    isSuccess: false;
    status: "pending";
    fetchNextPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ai) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchPreviousPage: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aj) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").aB<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    hasNextPage: boolean;
    hasPreviousPage: boolean;
    isFetchingNextPage: boolean;
    isFetchingPreviousPage: boolean;
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isLoading: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<{
        data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
        pageIndex: number;
        totalCount: number;
        flattenData: T[];
    }, Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
    data: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").X<import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>, number>;
    pageIndex: number;
    totalCount: number;
    flattenData: T[];
};
export {};
