import React from 'react';
import { IcebergFetchParamsV6, fetchIcebergV6 } from '@ovh-ux/manager-core-api';
export interface ColumnDatagrid {
    cell: (props: any) => React.JSX.Element;
    id: string;
    label: string;
    type: string;
}
export interface ResourcesV6Hook {
    queryKey: string[];
    columns?: ColumnDatagrid[];
}
export declare function dataType(a: any): "string" | "number" | "bigint" | "boolean" | "symbol" | "undefined" | "object" | "function" | "date";
/**
 * @deprecated use fetchIcebergV6 from @ovh-ux/manager-core-api
 */
export declare const getResourcesV6: typeof fetchIcebergV6;
export declare function useResourcesV6<T = unknown>({ route, queryKey, pageSize, columns, }: IcebergFetchParamsV6 & ResourcesV6Hook): {
    data: import("@ovh-ux/manager-core-api").IcebergFetchResultV6<T>;
    sorting: import("@tanstack/table-core").ColumnSort;
    setSorting: React.Dispatch<React.SetStateAction<import("@tanstack/table-core").ColumnSort>>;
    pageIndex: number;
    totalCount: number;
    flattenData: T[];
    isError: boolean;
    isLoading: boolean;
    hasNextPage: boolean;
    fetchNextPage: () => void;
    error: Error;
    status: "success" | "error" | "pending";
};
