import { ApiError } from '@ovh-ux/manager-core-api';
import { UseQueryResult } from '@tanstack/react-query';
export type UseFeatureAvailabilityResult<T = Record<string, boolean>> = UseQueryResult<T, ApiError>;
export declare const fetchFeatureAvailabilityData: <T extends string[]>(featureList: [...T]) => Promise<Record<[...T][number], boolean>>;
export declare const getFeatureAvailabilityQueryKey: <T extends string[]>(featureList: [...T]) => string[];
/**
 * @examples
 * const featureList = ['billing', 'webooo', 'web:microsoft'];
 *
 * const { data, error, isLoading } = useFeatureAvailability(featureList);
 * const isBillingAvailable = data?.billing;
 * const isWebooooAvailable = data?.webooo;
 * const isMicrosoftAvailable = data.['web:microsoft'];
 */
export declare const useFeatureAvailability: <T extends string[]>(featureList: [...T]) => UseFeatureAvailabilityResult<Record<[...T][number], boolean>>;
