export type TProjectQuota = {
    region: string;
    instance: {
        maxCores: number;
        maxInstances: number;
        maxRam: number;
        usedCores: number;
        usedInstances: number;
        usedRAM: number;
    };
    keypair: {
        maxCount: number;
    };
    volume: {
        maxGigabytes: number;
        usedGigabytes: number;
        volumeCount: number;
        maxVolumeCount: number;
        maxBackupGigabytes: number;
        usedBackupGigabytes: number;
        volumeBackupCount: number;
        maxVolumeBackupCount: number;
    };
    network: {
        maxNetworks: number;
        usedNetworks: number;
        maxSubnets: number;
        usedSubnets: number;
        maxFloatingIPs: number;
        usedFloatingIPs: number;
        maxGateways: number;
        usedGateways: number;
    };
    loadbalancer: {
        maxLoadbalancers: number;
        usedLoadbalancers: number;
    } | null;
    keymanager: {
        maxSecrets: number;
        usedSecrets: number;
    } | null;
    share: any | null;
};
export declare const getProjectQuota: (projectId: string) => Promise<TProjectQuota[]>;
export declare const useProjectQuota: (projectId: string) => import("@tanstack/react-query/build/legacy/types").UseQueryResult<TProjectQuota[], Error>;
