import { Region } from './useProjectRegions';
export interface Subnet {
    region: string;
    id: string;
}
interface Network {
    id: string;
    name: string;
    region: string;
    visibility: string;
    vlanId: number;
}
export interface AggregatedNetwork {
    resources: Network[];
}
export declare const getAggregatedNetwork: (projectId: string) => Promise<AggregatedNetwork>;
export declare const getAggregatedPrivateNetworksQueryKey: (projectId: string) => string[];
export declare const useAggregatedPrivateNetworks: (projectId: string, customerRegions: Region[]) => import("@tanstack/react-query/build/legacy/types").UseQueryResult<any[], Error>;
export declare const useAggregatedPrivateNetworksRegions: (projectId: string, customerRegions: Region[]) => {
    data: string[];
    error: Error;
    isError: true;
    isPending: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<any[], Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
} | {
    data: string[];
    error: null;
    isError: false;
    isPending: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<any[], Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
} | {
    data: string[];
    error: Error;
    isError: true;
    isPending: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<any[], Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
} | {
    data: string[];
    error: null;
    isError: false;
    isPending: true;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "pending";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<any[], Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
} | {
    data: string[];
    error: null;
    isError: false;
    isPending: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "pending";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    failureReason: Error;
    errorUpdateCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isLoading: boolean;
    isInitialLoading: boolean;
    isPaused: boolean;
    isPlaceholderData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: (options?: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").ad) => Promise<import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").at<any[], Error>>;
    fetchStatus: import("@tanstack/query-core/build/legacy/hydration-zFr_7WN8").al;
};
export {};
