import { ApiError } from '@ovh-ux/manager-core-api';
export type DeleteServiceMutationParams = {
    resourceName: string;
};
export declare const deleteServiceMutationKey: string[];
export type UseDeleteServiceParams = {
    onSuccess?: () => void;
    onError?: (result: ApiError) => void;
    mutationKey?: string[];
};
export declare const useDeleteService: ({ onSuccess, onError, mutationKey, }: UseDeleteServiceParams) => {
    data: undefined;
    variables: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isPending: false;
    isSuccess: false;
    status: "idle";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: ApiError;
    isPaused: boolean;
    submittedAt: number;
    mutateAsync: import("@tanstack/react-query/build/legacy/types").UseMutateAsyncFunction<import("axios").AxiosResponse<{
        message: string;
    }, any>, ApiError, DeleteServiceMutationParams, unknown>;
    terminateService: import("@tanstack/react-query/build/legacy/types").UseMutateFunction<import("axios").AxiosResponse<{
        message: string;
    }, any>, ApiError, DeleteServiceMutationParams, unknown>;
} | {
    data: undefined;
    variables: DeleteServiceMutationParams;
    error: null;
    isError: false;
    isIdle: false;
    isPending: true;
    isSuccess: false;
    status: "pending";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: ApiError;
    isPaused: boolean;
    submittedAt: number;
    mutateAsync: import("@tanstack/react-query/build/legacy/types").UseMutateAsyncFunction<import("axios").AxiosResponse<{
        message: string;
    }, any>, ApiError, DeleteServiceMutationParams, unknown>;
    terminateService: import("@tanstack/react-query/build/legacy/types").UseMutateFunction<import("axios").AxiosResponse<{
        message: string;
    }, any>, ApiError, DeleteServiceMutationParams, unknown>;
} | {
    data: undefined;
    error: ApiError;
    variables: DeleteServiceMutationParams;
    isError: true;
    isIdle: false;
    isPending: false;
    isSuccess: false;
    status: "error";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: ApiError;
    isPaused: boolean;
    submittedAt: number;
    mutateAsync: import("@tanstack/react-query/build/legacy/types").UseMutateAsyncFunction<import("axios").AxiosResponse<{
        message: string;
    }, any>, ApiError, DeleteServiceMutationParams, unknown>;
    terminateService: import("@tanstack/react-query/build/legacy/types").UseMutateFunction<import("axios").AxiosResponse<{
        message: string;
    }, any>, ApiError, DeleteServiceMutationParams, unknown>;
} | {
    data: import("axios").AxiosResponse<{
        message: string;
    }, any>;
    error: null;
    variables: DeleteServiceMutationParams;
    isError: false;
    isIdle: false;
    isPending: false;
    isSuccess: true;
    status: "success";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: ApiError;
    isPaused: boolean;
    submittedAt: number;
    mutateAsync: import("@tanstack/react-query/build/legacy/types").UseMutateAsyncFunction<import("axios").AxiosResponse<{
        message: string;
    }, any>, ApiError, DeleteServiceMutationParams, unknown>;
    terminateService: import("@tanstack/react-query/build/legacy/types").UseMutateFunction<import("axios").AxiosResponse<{
        message: string;
    }, any>, ApiError, DeleteServiceMutationParams, unknown>;
};
