import { ApiError } from '@ovh-ux/manager-core-api';
export declare const updateServiceNameMutationKey: string[];
export type UpdateServiceNameMutationParams = {
    /** Resource name or id */
    resourceName: string;
    /** Resource new display name */
    displayName?: string;
};
export type UseUpdateServiceDisplayNameParams = {
    onSuccess?: () => void;
    onError?: (result: ApiError) => void;
    mutationKey?: string[];
};
export declare const useUpdateServiceDisplayName: ({ onSuccess, onError, mutationKey, }: UseUpdateServiceDisplayNameParams) => {
    data: undefined;
    variables: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isPending: false;
    isSuccess: false;
    status: "idle";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: ApiError;
    isPaused: boolean;
    submittedAt: number;
    mutateAsync: import("@tanstack/react-query/build/legacy/types").UseMutateAsyncFunction<import("axios").AxiosResponse<any, any>, ApiError, UpdateServiceNameMutationParams, unknown>;
    updateDisplayName: import("@tanstack/react-query/build/legacy/types").UseMutateFunction<import("axios").AxiosResponse<any, any>, ApiError, UpdateServiceNameMutationParams, unknown>;
} | {
    data: undefined;
    variables: UpdateServiceNameMutationParams;
    error: null;
    isError: false;
    isIdle: false;
    isPending: true;
    isSuccess: false;
    status: "pending";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: ApiError;
    isPaused: boolean;
    submittedAt: number;
    mutateAsync: import("@tanstack/react-query/build/legacy/types").UseMutateAsyncFunction<import("axios").AxiosResponse<any, any>, ApiError, UpdateServiceNameMutationParams, unknown>;
    updateDisplayName: import("@tanstack/react-query/build/legacy/types").UseMutateFunction<import("axios").AxiosResponse<any, any>, ApiError, UpdateServiceNameMutationParams, unknown>;
} | {
    data: undefined;
    error: ApiError;
    variables: UpdateServiceNameMutationParams;
    isError: true;
    isIdle: false;
    isPending: false;
    isSuccess: false;
    status: "error";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: ApiError;
    isPaused: boolean;
    submittedAt: number;
    mutateAsync: import("@tanstack/react-query/build/legacy/types").UseMutateAsyncFunction<import("axios").AxiosResponse<any, any>, ApiError, UpdateServiceNameMutationParams, unknown>;
    updateDisplayName: import("@tanstack/react-query/build/legacy/types").UseMutateFunction<import("axios").AxiosResponse<any, any>, ApiError, UpdateServiceNameMutationParams, unknown>;
} | {
    data: import("axios").AxiosResponse<any, any>;
    error: null;
    variables: UpdateServiceNameMutationParams;
    isError: false;
    isIdle: false;
    isPending: false;
    isSuccess: true;
    status: "success";
    reset: () => void;
    context: unknown;
    failureCount: number;
    failureReason: ApiError;
    isPaused: boolean;
    submittedAt: number;
    mutateAsync: import("@tanstack/react-query/build/legacy/types").UseMutateAsyncFunction<import("axios").AxiosResponse<any, any>, ApiError, UpdateServiceNameMutationParams, unknown>;
    updateDisplayName: import("@tanstack/react-query/build/legacy/types").UseMutateFunction<import("axios").AxiosResponse<any, any>, ApiError, UpdateServiceNameMutationParams, unknown>;
};
