export declare const ASIA_FORMAT: string[];
export declare const FRENCH_FORMAT: string[];
export declare const GERMAN_FORMAT: string[];
export declare const HOUR_IN_MONTH = 730;
export interface CatalogPriceOptions {
    hideTaxLabel?: boolean;
    exclVat?: boolean;
}
export declare const priceToUcent: (price: number) => number;
export declare const priceFromUcent: (price: number) => number;
/**
 * Handle the conversion on the frontend side from hourly price to monthly.
 * In the future, this conversion should be handled on the backend to improve efficiency and maintainability.
 * */
export declare const convertHourlyPriceToMonthly: (hourlyPrice: number) => number;
export declare const useCatalogPrice: (maximumFractionDigits?: number, options?: CatalogPriceOptions) => {
    getTextPrice: (priceInCents: number) => string;
    getFormattedCatalogPrice: (price: number) => string;
    getFormattedHourlyCatalogPrice: (price: number) => string;
    getFormattedMonthlyCatalogPrice: (price: number) => string;
};
